<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="assets/css/owl.carousel.min.css" />
    <script src="assets/js/jquery-v3.6.0/jquery-3.6.0.min.js"></script>
    <script src="assets/js/owl-carousel-v2.3.4/owl.carousel.min.js"></script>
    <script src="js/urlsettings.js"></script>
    <style>
      .img-container {
        /* height: */
        height: 380px;
         /* 59vh; */
        overflow: hidden;
        position: relative;
        width: 100%;
    }
    .img-container img {
        height: 100%;
        left: 0;
        object-position: center;
        opacity: absolute;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: -1;
    }
    .img-container img.next {
        opacity: 1;
        z-index: 1;
    }
    .img-container img.prev {
        opacity: 1;
        z-index: 2;
    }
    .img-container img.fade-out {
        opacity: 0;
        transition: visibility 0s .9s, opacity .9s linear;
        visibility: hidden;
    }
    body{
        margin: 0 !important;
    }
    </style>
</head>

<body>
    
    
</body>

<script>
    
    var currentURL = window.location.href;
    var relativePath = currentURL.substring(0, currentURL.lastIndexOf("/") + 1);
    var hostname = window.location.hostname;
    var urlprotocol = window.location.protocol;
    //var API_URL = "https://api.convergentechnologies.com/gateway/";
   // var API_URL = urlprotocol+"//"+hostname+"/gateway/";
   
    document.addEventListener("DOMContentLoaded", function (event) {
        setTimeout(loadCMS(), 5000)
    });

    function loadCMS() {
        var sessionAuthData = JSON.parse(sessionStorage.getItem('authToken'));
        if(sessionAuthData==null){
            var authenticationreq = { "username": DEFAULT_USER };
			$.ajaxSetup({
				headers: {
					'Content-Type': "application/json"
				}
			});
        $.ajax({
            type: 'POST',
            url: API_URL+'auth/api/v1/guest-login',
            data: JSON.stringify(authenticationreq),
            success: function (response) {
                if (response) {
                    var token = response.authToken;
                    $.ajaxSetup({
                        headers: {
                            'Content-Type': "application/json",
                            'Authorization': "Bearer " + token
                        }
                    });
                    // getAllPage();
                }
            },
            error: function (xhr, textStatus, errorThrown) {
               
            }
        });
        }else{
        $.ajaxSetup({
            headers: {
                'Content-Type': "application/json",
                'Authorization': "Bearer " + sessionAuthData
            }
        });

        // getAllPage();
    }
    }

    function getAllPage() {
        var sectionmasterids = JSON.parse(localStorage.getItem('cmsSectionMasterID'));
        if(sectionmasterids == null){
        $.ajax({
            type: 'GET',
            url: API_URL + 'cms/api/v1/pageByName/cmsshome',
            success: function (response) {
                if (response.success == true) {
                    bannerId = response.data.sectionMasterId[0];

                    var secMasterid = [{
                        OurServices: response.data.sectionMasterId[2],
                        principleProd: response.data.sectionMasterId[3],
                        SpecialPackage: response.data.sectionMasterId[1],
                        bannerId: response.data.sectionMasterId[0]
                    }]
                    localStorage.setItem('cmsSectionMasterID',JSON.stringify(secMasterid));
                    bannerDetails(bannerId);
                }
            },
            error: function (xhr, textStatus, errorThrown) {
                if (xhr.status === 403) {
                   
                }
            }
        });
        }else{
            bannerId = sectionmasterids[0].bannerId;
            bannerDetails(bannerId);
        }
    }

     /*Append Banner Images*/
     function bannerDetails(BannerImge) {
        $.ajax({
            type: 'GET',
            url: API_URL + 'cms/api/v1/section-details/published/section-master/' + BannerImge,
            success: function (response) {
                document.getElementById('bannerimgid33').innerHTML="";
                $.each(response.data, function (index, value) {
                    var ExternalLink = value.content.banner.externalLink;
                    var pageName = value.content.banner.pageName;
                    
                    if (index <= 3) {
                        if (ExternalLink != null && ExternalLink != '') {
                            document.getElementById('bannerimgid33').innerHTML+= '<a target="_blank" data-toggle="tooltip" title="This page will open in a new tab" href="' + value.content.banner.externalLink + '"><img src="' + API_URL + 'rest/api/v1/file/download/' + value.content.banner.imageDeskId + '" alt="No Image" style="width: 96.5%; height: 380px; margin-left:15px; border-radius: 0px 6px 6px 0px!important;"></a>'
                        }
                        if (ExternalLink == null && pageName == null) {
                            document.getElementById('bannerimgid33').innerHTML+= '<img src="' + API_URL + 'rest/api/v1/file/download/' + value.content.banner.imageDeskId + '" alt="No Image" style="width: 96.5%; height: 380px; margin-left:15px; border-radius: 0px 6px 6px 0px!important;">'
                        }
                        if (pageName != null && pageName != '') {
                            document.getElementById('bannerimgid33').innerHTML+= '<a  href="' + relativePath + '#!/package/' + pageName + '" target="_parent" ><img src="' + API_URL + 'rest/api/v1/file/download/' + value.content.banner.imageDeskId + '" alt="No Image" style="width: 96.5%; height: 380px; margin-left:15px; border-radius: 0px 6px 6px 0px!important;"></a>'
                        }
                    }
   
                })

                class Slideshow {

                    constructor() {
                      this.initSlides();
                      this.initSlideshow();
                    }
                    
                    // Set a `data-slide` index on each slide for easier slide control.
                    initSlides() {
                      this.container = $('#bannerimgid33');
                      this.slides = this.container.find('img');
                      this.slides.each((idx, slide) => $(slide).attr('data-slide', idx));
                    }
                    
                    // Pseudo-preload images so the slideshow doesn't start before all the images
                    // are available.
                    initSlideshow() {
                      this.imagesLoaded = 0;
                      this.currentIndex = 0;
                      this.setNextSlide();
                      this.slides.each((idx, slide) => {
                        $('<img>').on('load', $.proxy(this.loadImage, this)).attr('src', $(slide).attr('src'));
                      });
                    }
                    
                    // When one image has loaded, check to see if all images have loaded, and if
                    // so, start the slideshow.
                    loadImage() {
                      this.imagesLoaded++;
                      if (this.imagesLoaded >= this.slides.length) { this.playSlideshow() }
                    }
                    
                    // Start the slideshow.
                    playSlideshow() {
                      this.slideshow = window.setInterval(() => { this.performSlide() }, 3000);
                    }
                    
                    // 1. Previous slide is unset.
                    // 2. What was the next slide becomes the previous slide.
                    // 3. New index and appropriate next slide are set.
                    // 4. Fade out action.
                    performSlide() {
                      if (this.prevSlide) { this.prevSlide.removeClass('prev fade-out') }
                    
                      this.nextSlide.removeClass('next');
                      this.prevSlide = this.nextSlide;
                      this.prevSlide.addClass('prev');
                    
                      this.currentIndex++;
                      if (this.currentIndex >= this.slides.length) { this.currentIndex = 0 }
                    
                      this.setNextSlide();
                    
                      this.prevSlide.addClass('fade-out');
                    }
                    
                    setNextSlide() {
                      this.nextSlide = this.container.find(`[data-slide="${this.currentIndex}"]`).first();
                      this.nextSlide.addClass('next');
                    }
                    
                    }
                    
                    $(document).ready(function() {
                    new Slideshow;
                    });

            },
            error: function (xhr, textStatus, errorThrown) { 
                if (xhr.status === 403) {

                }
            }
        });
    }

</script>
</html>
